<?xml version="1.0" encoding="ISO-8859-1"?>
<?xml-stylesheet type="text/xsl" href="http://projets.admisource.gouv.fr/xemelios/technical/schemas/xsd2html.xsl"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:include schemaLocation="TPseudoXPath.xsd" />

  <xs:complexType name="TRecherchePaire">
  	<xs:sequence>
  		<xs:element name="path" type="TPseudoXPath" minOccurs="0" maxOccurs="1">
  			<xs:annotation>
  				<xs:documentation>
  					le pseudo-xpath permettant d'arriver au noeud racine de la
  					paire. Ce chemin est relatif a la racine du document (absolu).
  				</xs:documentation>
  			</xs:annotation>
  		</xs:element>
  		<xs:element name="code-path" type="TPseudoXPath" minOccurs="1" maxOccurs="1">
  			<xs:annotation>
  				<xs:documentation>
  					Chemin pseudo-xpath permettant d'acceder au code de la paire.
  					Ce chemin est relatif a la racine du document (absolu).
  				</xs:documentation>
  			</xs:annotation>
  		</xs:element>
  		<xs:element name="libelle-path" type="TPseudoXPath" minOccurs="1" maxOccurs="1">
  			<xs:annotation>
  				<xs:documentation>
  					Chemin pseudo-xpath permettant d'acceder au libelle de la paire.
  					Ce chemin est relatif a la racine du document (absolu).
  				</xs:documentation>
  			</xs:annotation>
  		</xs:element>
  	</xs:sequence>
  	<xs:attribute name="id" use="required" type="xs:NCName">
  		<xs:annotation>
  			<xs:documentation>
  				Représente un identifiant unique au sein du groupe auquel il appartient.
  			</xs:documentation>
  		</xs:annotation>
  	</xs:attribute>
      <xs:attribute name="sort" type="xs:NCName"/>
  </xs:complexType>

    <xs:complexType name="TCollectiviteInformations">
        <xs:complexContent>
            <xs:extension base="TRecherchePaire">
                <xs:sequence>
                    <xs:element name="parent-coll" minOccurs="0" maxOccurs="unbounded">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element name="code-path" type="TPseudoXPath"/>
                                <xs:element name="libelle-path" type="TPseudoXPath"/>
                            </xs:sequence>
                            <xs:attribute name="id" type="xs:ID" use="required"/>
                            <xs:attribute name="level" type="xs:int" use="required"/>
                            <xs:attribute name="libelle" type="xs:string" use="required"/>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:extension>
        </xs:complexContent>
    </xs:complexType>

</xs:schema>